Bug 1335574 - Traceback while getting runtime numa info
Summary: Traceback while getting runtime numa info
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.18.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.0.2
: ---
Assignee: Martin Sivák
QA Contact: Aharon Canan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 14:31 UTC by Sandro Bonazzola
Modified: 2016-07-13 09:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-13 09:14:42 UTC
oVirt Team: SLA
ykaul: ovirt-4.0.z?
rule-engine: planning_ack?
dfediuck: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)
# sosreport -o vdsm,libvirt,numa,memory,rpm (2.04 MB, application/x-xz)
2016-05-12 14:31 UTC, Sandro Bonazzola
no flags Details

Description Sandro Bonazzola 2016-05-12 14:31:58 UTC
Created attachment 1156703 [details]
# sosreport -o vdsm,libvirt,numa,memory,rpm

Thread-288::DEBUG::2016-05-12 16:26:49,355::fileSD::174::Storage.Misc.excCmd::(getReadDelay) SUCCESS: <err> = '0+1 records in\n0+1 records out\n323 bytes (323 B) copied, 0.000475883 s, 679 kB/s\n'; <rc> = 0
mailbox.SPMMonitor::DEBUG::2016-05-12 16:26:49,443::storage_mailbox::733::Storage.Misc.excCmd::(_checkForMail) SUCCESS: <err> = '1+0 records in\n1+0 records out\n1024000 bytes (1.0 MB) copied, 0.0887564 s, 11.5 MB/s\n'; <rc> = 0
periodic/14::ERROR::2016-05-12 16:26:50,940::executor::193::Executor::(_execute_task) Unhandled exception in Task(callable=<NumaInfoMonitor vm=97df47e5-24d6-4719-bdf7-aeba6c15fd46 at 0x7f48a803dd50>, timeout=7.5)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/executor.py", line 191, in _execute_task
    task.callable()
  File "/usr/lib/python2.7/site-packages/vdsm/virt/periodic.py", line 295, in __call__
    self._execute()
  File "/usr/lib/python2.7/site-packages/vdsm/virt/periodic.py", line 351, in _execute
    self._vm.updateNumaInfo()
  File "/usr/share/vdsm/virt/vm.py", line 4803, in updateNumaInfo
    self._numaInfo = numa.getVmNumaNodeRuntimeInfo(self)
  File "/usr/lib/python2.7/site-packages/vdsm/numa.py", line 263, in getVmNumaNodeRuntimeInfo
    vnode_index = str(vcpu_to_vnode[vcpu_id])
KeyError: 2

Comment 1 Jenny Tokar 2016-06-01 15:02:55 UTC
Please supply steps to reproduce.

Comment 2 Sandro Bonazzola 2016-06-20 11:34:33 UTC
I don't have specific steps, just seen it in the logs while running hosted engine for 4.0 release.

Comment 3 Roy Golan 2016-06-29 09:13:38 UTC
Sandoro, Artyom did you see that or have a reproducer?

Comment 4 Artyom 2016-06-30 08:29:16 UTC
Hi Roy, I checked my last HE deployment vdsm log and I do not see such traceback.
vdsm-4.18.4-2.el7ev.x86_64
ovirt-hosted-engine-setup-2.0.0.2-1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.